package com.ruoyi.ptxlib.domain;

import lombok.Data;

@Data
public class PTXLabelCode {
    /** 二维码类型 1：条码 2：二维码 */
    private Integer codeType;

    /** y轴间距 */
    private Integer spaceBetween;

    /** x坐标 */
    private Integer X;

    /** y坐标 */
    private Integer Y;

    /** 宽度 */
    private Integer width;

    /** 存入数据<br/>
     * 条形码不可以写入中文
     * */
    private String data;

    /** 条码下是否显示文字  */
    private Boolean isShowText;

    /** 条码高度 */
    private Double height;
}
